################################################
#
#
#    H e l m    d e p e n d en c y
#
#
################################################

postgresql:
  enabled: true
  global:
    storageClass: ""
    postgresql:
      auth:
        enablePostgresUser: true
        postgresPassword: "superpass"
        username: "user"
        password: "pass"
        database: "db"
        existingSecret: ""
        secretKeys:
          adminPasswordKey: ""
          userPasswordKey: ""
          replicationPasswordKey: ""

kafka:
  enabled: true
  sasl:
    client:
      passwords:
        - "kafkaPassword"
      users:
        - "kafkaUser"

replicaCount: 1 # @TODO: set to 2 as default for leader election verification

################################################
#
#
#    S p r i n g   r e l a t e d
#
#
################################################

extraEnvVars:
  # Flyway connection string
  - name: SPRING_FLYWAY_ENABLED
    value: "true"
  - name: SPRING_FLYWAY_DRIVERCLASSNAME
    value: org.postgresql.Driver
  - name: SPRING_FLYWAY_URL
    value: jdbc:postgresql://gradle-postgresql.default.svc:5432/db
  - name: SPRING_FLYWAY_USER
    value: postgres
  - name: SPRING_FLYWAY_PASSWORD
    value: superpass
  # R2DBC connection string
  - name: SPRING_R2DBC_URL
    value: r2dbc:postgresql://gradle-postgresql.default.svc:5432/db
  - name: SPRING_R2DBC_USERNAME
    value: postgres
  - name: SPRING_R2DBC_PASSWORD
    value: superpass
  # Kafka binder connection string
  - name: SPRING_CLOUD_STREAM_KAFKA_BINDER_BROKERS
    value: gradle-kafka.default.svc:9092
  - name: SPRING_CLOUD_STREAM_KAFKA_BINDER_CONFIGURATION_SECURITY_PROTOCOL
    value: "SASL_PLAINTEXT"
  - name: SPRING_CLOUD_STREAM_KAFKA_BINDER_CONFIGURATION_SASL_MECHANISM
    value: "PLAIN"
  - name: SPRING_CLOUD_STREAM_KAFKA_BINDER_CONFIGURATION_SASL_JAAS_CONFIG
    value: org.apache.kafka.common.security.plain.PlainLoginModule required username='${KAFKA_USERNAME}' password='${KAFKA_PASSWORD}';
  - name: KAFKA_USERNAME
    value: kafkaUser
  - name: KAFKA_PASSWORD
    value: kafkaPassword
